#tag Class
Protected Class LDS_AppearanceChangeManager
	#tag Method, Flags = &h0
		Shared Sub AppearanceChanged()
		  if(ResponsiveItems<>nil) then
		    for each dmr as LDS_DarkModeResponsive in ResponsiveItems
		      dmr.AppearanceChanged()
		    next
		  end
		End Sub
	#tag EndMethod

	#tag Method, Flags = &h21
		Private Sub Constructor()
		  
		End Sub
	#tag EndMethod

	#tag Method, Flags = &h0
		Shared Sub RegisterResponsiveItem(item as LDS_DarkModeResponsive)
		  if(ResponsiveItems=nil) then
		    redim ResponsiveItems(-1)
		  end
		  ResponsiveItems.add(item)
		End Sub
	#tag EndMethod

	#tag Method, Flags = &h0
		Shared Sub UnregisterResponsiveItem(item as LDS_DarkModeResponsive)
		  if(ResponsiveItems<>nil) then
		    var index as integer = ResponsiveItems.LastIndex
		    while index>=0 
		      if(ResponsiveItems(index) = item) then
		        ResponsiveItems.RemoveAt(index)
		      end
		      index=index-1
		    wend
		  end
		End Sub
	#tag EndMethod


	#tag Property, Flags = &h21
		Private Shared ResponsiveItems() As LDS_DarkModeResponsive
	#tag EndProperty


	#tag ViewBehavior
		#tag ViewProperty
			Name="Name"
			Visible=true
			Group="ID"
			InitialValue=""
			Type="String"
			EditorType=""
		#tag EndViewProperty
		#tag ViewProperty
			Name="Index"
			Visible=true
			Group="ID"
			InitialValue="-2147483648"
			Type="Integer"
			EditorType=""
		#tag EndViewProperty
		#tag ViewProperty
			Name="Super"
			Visible=true
			Group="ID"
			InitialValue=""
			Type="String"
			EditorType=""
		#tag EndViewProperty
		#tag ViewProperty
			Name="Left"
			Visible=true
			Group="Position"
			InitialValue="0"
			Type="Integer"
			EditorType=""
		#tag EndViewProperty
		#tag ViewProperty
			Name="Top"
			Visible=true
			Group="Position"
			InitialValue="0"
			Type="Integer"
			EditorType=""
		#tag EndViewProperty
	#tag EndViewBehavior
End Class
#tag EndClass
